
/* @include transition(all .55s linear); */
/* @include image-2x("../images/logo2x.png");    */

.buy-section {
	background-color: rgba(0, 0, 0, 0);
	background-image: url('../images/banner_home-bg.jpg');
	background-position: top center;
	background-repeat: no-repeat;
	background-size: 100% 100%;
	padding-bottom: 105px;
	padding-top: 147px;

	.buy_wrapper {
	    background: rgba(0, 0, 0, 0) none repeat scroll 0 0;
	    clear: both;
	    display: block;
	    float: left;
	    position: relative;
	    width: 100%;

	    .buy-form {
		    float: left;
		    width: 100%;
			.contnt_wrapp {
			    //border: 1px solid #ffd700;
			    // min-height: 380px;
			    min-height: 425px;
			    overflow: hidden;
				position: relative;
				@include breakpoint(medium) {
					min-height: auto;
				}

			    &.height1 {
			    	// min-height: 371px;
			    	// min-height: 415px;
					min-height: 425px;
					@include breakpoint(medium) {
						min-height: auto;
					}
			    }
			    .form-ele {
				    left: 0;
				    position: absolute;
				    top: 0;
				    transition: all 0.5s ease 0s;
					@include breakpoint(medium) {
						position: relative;
					}
					// &.purchase_amnt {
					// 	left: 105%;
					// }
				}
			}
			&.display2 {
				.contnt_wrapp {
					.form-ele {
						&.currency_form {
						    left: -100%;
						}
						&.purchase_amnt {
						    left: 0;
						}
					}
				}
			}
			.form-group {
				position: relative;
				.error-msg {
				    bottom: -16px;
				    color: #ff0000;
				    float: left;
				    font-size: 13px;
				    left: 0;
				    line-height: 1.3;
				    margin-top: 3px;
				    position: absolute;
				    width: 100%;
				} 
			}
		}

	    .buy_content {
		    background-color: #ffffff;
		    display: inline-block;
	    	max-width: 672px;
		    padding: 32px 48px 10px;
			width: 100%;
			text-align: left;
		    h2 {
			    border-bottom: 3px solid #244556;
			    color: #244556;
			    float: left;
			    font-size: 30px;
			    font-weight: 600;
			    line-height: 30px;
			    margin-bottom: 23px;
			    padding-bottom: 10px;
			    text-transform: uppercase;
				width: 100%;
				@include breakpoint(small) {
					font-size: 25px;
				}
				@include breakpoint(x-small) {
					font-size: 20px;
				}
			}
			h3 {
			    color: #091216;
			    float: left;
			    font-family: open sans;
			    font-size: 18px;
			    font-weight: 400;
			    line-height: 1.3;
			    margin-bottom: 15px;
			    width: 100%;
			}
			.purchase_amnt {
				h3 {
			    	margin-bottom: 16px;
					// margin-top: -20px;
				}				
			}
		}

		.buy-form {
			float: left;
			width: 100%;
			text-align: center;
			.coin-ele {
				& > .row {
					margin: 0 -20px;
				}
				.col-sm-6 {
					max-width: 227px;
					padding: 8px 24px;
					@media (max-width:539px) {
						max-width: 100%;
					}
				}
				.form-group  {
					margin-bottom: 29px;
				}
			}
			.coin-ele-1 {
				margin-bottom: 47px;
				& > .row {
					margin: 0 -10px;
				}
				.col-sm-6 {
					max-width: 240px;
					padding: 0 10px;
				}
				.form-group  {
					margin-bottom: 29px;
				}
				.btn-select {
					float: left;
				    position: relative;
				    text-align: left;
				    width: 100%;
				    & > label {
					    border-color: #969696;
					    border-style: solid;
					    border-width: 0 0 3px;
					    color: #969696;
					    float: left;
					    font-size: 23px;
					    font-weight: 700;
					    line-height: 18px;
					    margin-bottom: 0;
					    padding: 15px 10px 15px 40px;
					    position: relative;
					    text-align: left;
					    width: 100%;
					    z-index: 1;
					    &:before {
							background-color: rgba(0, 0, 0, 0);
							background-position: 0 0;
							background-repeat: no-repeat;
							background-size: 100%;
							content: '';
							display: block;
							left: 0px;
							position: absolute;
							top: 50%;
		                	@include transform(translateY(-50%));
						}
						&.bitcn {					
							&:before {
								background-image: url('../images/icon-bitcoin-spirit.png');
								background-position: 0 -31px;
								height: 29px;
								width: 29px;
							}
						}
						&.etherm {					
							&:before {
								background-image: url('../images/icon-Ethereum-spirit.png');
								height: 22px;
								left: 10px;
								width: 14px;
							}
						}
					}
					& > input {
						background-color: rgba(0,0,0,0);
					    cursor: pointer;
					    height: 50px;
					    left: 0;
					    margin: 0;
					    opacity: 0;
					    position: absolute;
					    top: 0;
					    width: 100%;
					    z-index: 2;
					}
					& > input[type="radio"]:checked + label {
				        color: #f7921a;
					    border-color: #f7921a;
					    &.bitcn {					
							&:before {
								background-position: 0 0;
							}
						}
						&.etherm {					
							&:before {
								background-image: url('../images/icon-Ethereum-spirit.png');
								background-position: 0 -24px;
							}
						}
				    }
					.base-lbl {
						color: #cccccc;
						float: left;
						font-size: 15px;
						line-height: 1.3;
						margin-top: 5px;
						width: 100%;
					}
					&.checked .base-lbl {
						color: #244556;
					}
				}
			}
			.currency_form {
				h3 {
				    margin-top: 19px;
				}
				.loc-list {
				    float: left;
				    text-align: left;
				    margin-bottom: 30px;
				    width: 100%;
				    li {
					    display: inline-block;
					    float: none;
					    margin-right: 40px;
					    vertical-align: middle;
					    width: auto;
					}
					.radioBox {
					    float: left;
					    width: 100%;
					    .rdo-lbl {
					    	padding-left: 13px;
					    	position: relative;
					    	.icon-doller {
					    		background-color: rgba(0, 0, 0, 0);
								background-image: url('../images/icon-doller-spirit.png');
							    background-position: 0 0;
							    background-repeat: no-repeat;
							    background-size: 100% auto;
							    display: block;
							    height: 16px;
							    left: 0;
							    position: absolute;
							    top: 2px;
							    width: 8px;
					    	}
						}
						input[type="radio"]:checked + label {
						    .rdo-lbl {
						    	.icon-doller {
								    background-position: 0 -18px;
						    	}
						    }
						}
					}
				}
			}
			.input_wrap {
				display: inline-block;
				float: left;
				position: relative;
				width: 100%;
				&:hover, &:focus, &:active {
					input {
						border: 1px solid #8bc1e1 !important;
						box-shadow: none !important;
					}					
				}
				
				& > input {
					background-color: rgba(0, 0, 0, 0);
					border: 1px solid #8bc1e1;
					border-radius: 3px;
					@include box-shadow(0 0 5px 0 rgba(69, 133, 163, 0.46));
					color: #4585a3;
					float: left;
				    font-size: 30px;
				    font-weight: 600;
				    height: 62px;
				    line-height: 1.3;
				    padding: 0 10px 2px 57px;
				    text-transform: uppercase;
					width: 100%;
					@include placeholder {
						color: #4585a3 !important;
						opacity: 1;
					}
					
				}
				

				&:before {
					background-color: rgba(0, 0, 0, 0);
					background-position: 0 0;
					background-repeat: no-repeat;
					background-size: 100%;
					content: '';
					display: block;
					left: 20px;
					position: absolute;
					top: 50%;
                	@include transform(translateY(-50%));
				}

				&.bit_coin {
					&:before {
						background-image: url('../images/icon-tether-lg.png');
						height: 29px;
						width: 29px;
					}
					&:after {
						background-image: url('../images/icon-equal.png');
						@include image-2x("../images/icon-equal@2x.png", 15px, 8px);
						background-position: 0 0;
						background-repeat: no-repeat;
						background-size: 100%;
						content: '';
						display: block;
						height: 8px;
						left: 100%;
						margin-left: 15px;
						position: absolute;
						top: 50%;
	                	@include transform(translateY(-50%));
						width: 15px;
						opacity: 0.5;
						@media (max-width:539px) {
							left: 50%;
							@include transform(translateX(-50%));
							top: 150%;							
						}
					}
				}
				&.doller {
					&:before {
						background-image: url('../images/icon-doller.png');
						@include image-2x("../images/icon-doller@2x.png", 16px, 32px);
						height: 32px;
						left: 18px;
						width: 16px;
					}
					& > input {
					    padding: 0 10px 2px 45px;
						text-align: center;	
						@media(max-width:539px) {
							text-align: left;
						}					
					}
				}
			}
			p{
				font-size: 14px;
				color:#244556;
				margin-bottom: 0;
			}
			.form-group  {
				margin-bottom: 17px;
				& > input {
					background-color: rgba(0,0,0,0);
				    border: 1px solid #dadada !important;
				    clear: both;
				    float: left;
				    height: 44px;
				    line-height: 1.3;
				    max-width: 327px;
				    padding: 5px 14px;
					width: 100%;
					@include placeholder{
						color: #5c5b5b !important;
					}
				    &:focus, &:hover, &:active {
				    	border-color: #8bc1e1 !important;
					}
					@include breakpoint(medium) {
						max-width: 100%;
					}
				}
				.check_element {
					margin-top: 5px;
				}
			}


			&.sell-form {
				.coin-ele-1 {
				    margin-bottom: 7px;
				}
				.purchase_amnt {
					h3 {
					    margin-top: 12px;
					}
				}
			}
		}
		.note-msg {
		    background: #fff none repeat scroll 0 0;
		    margin-top: -20px;
		    max-width: 672px;
		    padding: 5px 48px 15px;
		    .note {
		    	color: #3e3e3e;
			    display: inline-block;
			    float: left;
			    font-size: 14px;
			    line-height: 1.3;
			    width: 100%;
		    }
		}
		.btn-sec {
			max-width: 672px;
			background: #fff;
			padding:0 48px 30px;
			width: 100%;
			margin: 0px auto;
			float: none; 
			display: inline-block;
			box-sizing: border-box;
			margin-top: -5px;
    		.comn-btn {
			    padding: 9px 10px 10px;
    			text-align: center;
    			width: 108px;
			}
		}
		.thank_sec {
			padding: 0;
			text-align: center;
			.buy_content {
				h2 {
				    border: medium none;
				    letter-spacing: 0.4px;
				    margin-bottom: 12px;
				    margin-top: 8px;
				    padding-bottom: 0;
				}
			}
			p {
				color: #091216;
			    font-size: 16px;
			    line-height: 1.3;
				margin-bottom: 17px;
			    width: 100%;
			    a {
					font-weight: bold;
					color: #43b02a;
				}
				&.last-cap {
					color: #5c5b5b;
					font-size: 14px;
					b {
						color: #010101;
						font-weight: 400;
					}
				}
			}
			h4 {
				color: #091216;
			    float: left;
			    font-size: 16px;
			    font-weight: 700;
			    line-height: 1.3;
			    margin-bottom: 10px;
			    margin-top: 8px;
			    width: 100%;
			}
			.list-row {
				margin: 0 -48px;
				& > ul {
				    background: #f3f3f3 none repeat scroll 0 0;
				    border-color: #d7d7d7;
				    border-style: solid;
				    border-width: 1px 0;
				    float: left;
					margin-bottom: 14px;
				    padding: 20px 48px;
				    width: 100%;
				    li {				   
					    float: left;
					    margin-bottom: 12px;
					    width: 100%;
					    p {
					    	float: left;
					    	margin-bottom: 0;
					    	width: calc(100% - 80px);
					    	&:last-child {
								text-align: left;
								width: 80px;
					    	}
					    	b {
					    		font-weight: 700;
					    	}
					    }
					    &:last-child {
					    	margin-bottom: 0;
					    }
				    }
				}
			}
		}
		.timer_sec {
			padding: 0;
			.buy_content {
			  	padding: 39px 35px;
				h2 {
				    border: medium none;
				    letter-spacing: 0.4px;
				    margin-bottom: 6px;
				    margin-top: 17px;
				    padding-bottom: 0;
				}
				.sub-tit {
					font-size: 30px;
				    margin-bottom: 35px;
				    margin-top: 0;
					text-transform: none;
				}
				p {
					color: #091216;
				  	float: left;
				  	font-size: 16px;
				  	line-height: 1.3;
				  	margin: 0;
				  	width: 100%;
				  	&.last-cap {
						color: #5c5b5b;
						font-size: 14px;
					}
				}
				.counter_box {
					clear: both;
					float: left;
					margin: 15px 0 30px;
					max-width: 100%;
					position: relative;
					width: auto;
				}
				.bt_add {				    
				    border: 1px solid #8bc1e1;
				    border-radius: 3px;
				    @include box-shadow(0 0 5px 0 rgba(69, 133, 163, 0.46));
				    display: table;
				    float: left;
				    margin: 13px 0 60px;
				    padding: 15px;
				    position: relative;
				    text-align: left;
				    width: 100%;
				    & > p {
					  	display: table-cell;
					  	float: none;
					  	position: relative;
					  	vertical-align: middle;
					  	width: auto;
					}
				    .bitcoin {
					  	color: #4585a3;
					  	display: inline-block;
					  	float: none;
					  	font-size: 30px;
					  	font-weight: 600;
					  	line-height: 1.3;
					  	margin-right: 25px;
					  	padding: 0 40px;
					  	position: relative;
					  	vertical-align: middle;
					  	&:before, &:after {
							background-color: rgba(0, 0, 0, 0);
						    background-position: 0 0;
						    background-size: 100% auto;
						    content: "";
						    display: block;
							top: 50%;
						    position: absolute;
						}
					  	&:before {
							background-image: url('../images/icon-bitcoin.png');
						    height: 29px;
						    left: 0;
						    margin-top: -14px;
						    width: 29px;
						}
					  	&:after {
							background-image: url('../images/icon-arrow-right.png');
							@include image-2x("../images/icon-arrow-right@2x.png", 12px, 19px);
						    height: 19px;
						    margin-top: -9px;
						    opacity: 0.3;
						    right: 0;
						    width: 12px;
						}
					}
					.add {
					  	color: #4585a3;
					  	display: inline-block;
					  	float: none;
					  	font-size: 20px;
					  	font-weight: 600;
					  	line-height: 1.3;
					  	padding: 0;
					  	position: relative;
					  	vertical-align: middle;
					  	word-break: break-all;
					}
				}
			}

		}
	}
	&.inner-module {
		.buy_wrapper {
			.buy-form {
				.buy_content {
				    padding: 32px 48px 2px;
				}
				.contnt_wrapp {
				    min-height: 400px;
				}
				.currency_form {
					h3 {
					    margin-top: 0;
					}
				}
				.coin-ele-1 {
					margin-bottom: 25px;
				}
				.form-group {
					.check_element {
					    margin-top: 0;
					}
				}
			}
		}
	}
}
.currency_val {
	color:#244556;
}

.bar_code_sec {
	text-align: center;
	float: left;
	width: 100%;
	margin: 10px 0px 40px;
	p {
		color: #244556;
		font-size: 18px;
	}
	.qr_code {
		img {
			margin: 30px auto;
		}
		.comn-btn {
			padding: 10px 30px;
		}
	}
}
.account_hding {
	h3 {
		font-size: 18px !important;
		color: #244556 !important;
		font-weight: 300;
	}
}
#AccountType {
	border: solid 1px #ddd;
	width: 100%;
	height: 45px;
	padding: 0px 10px;
	&:hover, &:focus, &:active  {
		border-color:#8bc1e1 !important;
	}
	
}

/* Responsive Style
============================================= */

@media screen and (max-width : 1800px) {
	.buy-section {
		background-position: center center;
		background-size: cover;
		padding-bottom: 125px;
	}
}

// @include breakpoint(xlarge) {
@media screen and (max-width : 1199px) {
	.buy-section {
	    // background-color: #4685a4;
	    // background-image: none;
		.buy_wrapper {
			padding: 0 10%;
		}
	}
	.buy-section {
		.buy_wrapper {
			.buy_content, .btn-sec {
			    max-width: 100%;
			}
		}
	}
}

 @include breakpoint(medium) {
 	.buy-section {
		.buy_wrapper {
		    .thank_sec {
		    	.buy_content {
		    		h2 {
						font-size: 33px;		
						@include breakpoint(small) {				
							font-size: 25px;		
						}
						@include breakpoint(x-small) {				
							font-size: 20px;		
						}
					}
		    	}
		    }
		}
	}	
}

@include breakpoint(small) {
// @media screen and (max-width : 767px) {
	.buy-section {
		padding-bottom: 60px;
		padding-top: 100px;
		.buy_wrapper {
		    padding: 0 15px;		     
			.timer_sec {
				.buy_content {
					.bt_add {
					  	display: block;
					  	margin: 13px 0 30px;
					  	& > p {
					  		display: inline-block;
					  		float: left;
					  		width: 100%;
					  	}
					}
					.timer {
					    padding: 10px 15px;
					    .timer-wrapper {
					        .time, .text {
					            font-size: 22px;
					            padding: 0 2px;
					        }
					    }
					}
				}
			}
		}
	}
	.buy-form {
		.contnt_wrapp {
			min-height: auto;
			.form-ele {
				position: relative !important;
				&.purchase_amnt {
					left: 0;
					// display: none
				}
			}
		}
		&.display2 {
			.contnt_wrapp {
				.form-ele {
					&.currency_form {
					    left: 0;
					    display: none;
					}
					&.purchase_amnt {
					   left: 0;
					   display: block;
					}
				}
			}
		}
	}
}

@include breakpoint(x-small) {
// @media screen and (max-width : 480px) {
	.buy-section {
		.buy_wrapper {
			.buy_content {
			    padding: 30px 20px 20px;
			}
			.thank_sec {
				.list-row {
				    margin: 0 -20px;
				    & > ul {
					    padding: 20px;
					}
				}
			}
			.timer_sec {
				.buy_content {
				  	padding: 30px 20px 20px;
				  	h2 {
				  		font-size: 32px;
				    	margin-top: 0;
					}
					.sub-tit {
					    font-size: 23px;
					    margin-bottom: 20px;
					}
					.timer {
						.timer-wrapper {
						   	.time, .text {
							    font-size: 16px;
						    }
						}
					}
				}
			}	
		}
		&.inner-module {
			.buy_wrapper {
				.buy-form {
					.buy_content {
					  padding: 25px 20px 20px;
					}
				}
			}
		}
	}
}


/* Responsive Style Ends
============================================= */